Publications
Obtenir un article
GET /v1/tweets/{tweet_id}/article reads 1 crédits
L'Article long format attaché à une publication : titre, aperçu, corps du texte, image de couverture et date de publication.
réponse
L'identifiant de la publication et l'objet article ; text est le corps en texte brut et url l'adresse propre de l'Article. Une publication sans Article donne 404.
Statut: 200, 404, 422, 429, 502
requête
curl https://api.xsignalfeed.com/v1/tweets/2100254227696103834/article \ -H "Authorization: Bearer xsf_your_key"
réponse · 200 / 404
{
"tweet_id": "2100254227696103834",
"article": {
"id": "2100242254904336388",
"url": "https://x.com/i/article/2100242254904336388",
"title": "National AI Rules Should Not Become a Privilege for Incumbents",
"preview_text": "The Washington Examiner published two related reports on September 15. …",
"text": "The Washington Examiner published two related reports on September 15. …",
"cover_image": "https://pbs.twimg.com/media/HSWZkHcXYAAsMuj.jpg",
"published_ms": 1789574603000,
"modified_ms": 1789574603000
}
}